package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 能源设施/系统对象 adm_ems_facs
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsFacs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 设施名称 */
    @Excel(name = "设施名称")
    private String facsName;

    @Excel(name = "设施分类")
    private String facsType;

    /** 设施分类-名称 */
    @Excel(name = "设施分类")
    private String facsTypeName;

    /** 设施子类 */
    private String facsSubtype;

    /** 设施子类名称 */
    @Excel(name = "设施子类")
    private String facsSubtypeName;

    /** 启用状态0-停用，1-启用 */
    @Excel(name = "启用状态0-停用，1-启用")
    private Long enable;

    /** 归属区域代码 */
    private String refArea;

    /** 归属区域名称 */
    @Excel(name = "归属区域")
    private String refAreaName;

    /** 设施属性 */
    private List<EmsFacsAttr> facsAttrs;

    /** 设施能力 */
    private List<EmsFacsAbility> facsAbilities;

    /** 设施事件 */
    private List<EmsFacsEvent> facsEvents;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFacsCode(String facsCode) 
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode() 
    {
        return facsCode;
    }
    public void setFacsName(String facsName) 
    {
        this.facsName = facsName;
    }

    public String getFacsName() 
    {
        return facsName;
    }
    public void setFacsType(String facsType) 
    {
        this.facsType = facsType;
    }

    public String getFacsType() 
    {
        return facsType;
    }
    public void setFacsSubtype(String facsSubtype) 
    {
        this.facsSubtype = facsSubtype;
    }

    public String getFacsSubtype() 
    {
        return facsSubtype;
    }
    public void setEnable(Long enable) 
    {
        this.enable = enable;
    }

    public Long getEnable() 
    {
        return enable;
    }
    public void setRefArea(String refArea) 
    {
        this.refArea = refArea;
    }

    public String getRefArea() 
    {
        return refArea;
    }

    public List<EmsFacsAttr> getFacsAttrs() {
        return facsAttrs;
    }

    public void setFacsAttrs(List<EmsFacsAttr> facsAttrs) {
        this.facsAttrs = facsAttrs;
    }

    public String getFacsTypeName() {
        return facsTypeName;
    }

    public void setFacsTypeName(String facsTypeName) {
        this.facsTypeName = facsTypeName;
    }

    public String getFacsSubtypeName() {
        return facsSubtypeName;
    }

    public void setFacsSubtypeName(String facsSubtypeName) {
        this.facsSubtypeName = facsSubtypeName;
    }

    public String getRefAreaName() {
        return refAreaName;
    }

    public void setRefAreaName(String refAreaName) {
        this.refAreaName = refAreaName;
    }

    public List<EmsFacsAbility> getFacsAbilities() {
        return facsAbilities;
    }

    public void setFacsAbilities(List<EmsFacsAbility> facsAbilities) {
        this.facsAbilities = facsAbilities;
    }

    public List<EmsFacsEvent> getFacsEvents() {
        return facsEvents;
    }

    public void setFacsEvents(List<EmsFacsEvent> facsEvents) {
        this.facsEvents = facsEvents;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facsCode", getFacsCode())
            .append("facsName", getFacsName())
            .append("facsType", getFacsType())
            .append("facsSubtype", getFacsSubtype())
            .append("enable", getEnable())
            .append("refArea", getRefArea())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
